function y = prop_thetaQ(thetaQ, Y, pars, prior, mats, dt, rlb, scale_thetaQ)
% f(y|thetaQ) thetaQ determines kinfQ and lamQ
% and affects the Q-likelihood


thetaQ = thetaQ./scale_thetaQ;
prop.kinfQ = thetaQ(1);
% prop.kinfQ = exp(thetaQ(1));
prop.dlamQ = -exp(thetaQ(2:4))./(1+exp(thetaQ(2:4))) ;
prop.lamQ = 1 + cumsum(prop.dlamQ) ;
if any(prop.lamQ<0) || any(isnan(prop.lamQ)) || any(prop.lamQ>0.99999)
    y = 1e10;
    return
else
    loads = SRTSM_loadings(prop.kinfQ, diag(prop.lamQ), pars.omega, mats, dt) ;
    prop.an = loads.an ;
    prop.bn = loads.bn ;
    prop.SigmaQ = loads.SigmaQ ;
    prop.llkQ = llk_Q(Y, pars.X, prop.an, prop.bn, prop.SigmaQ, pars.sige2, rlb) ;
    prop.lprior = log(normpdf(prop.kinfQ, prior.kmean, prior.kvar));
    y = prop ; 
end



end


